<noscript>
	<p class="error">In Ihrem Browser ist javascript deaktiviert!<br/>Ohne javascript können Sie die R!ST Verwaltung nicht problemlos verwenden!<br/>Aktivieren Sie bitte javascript und laden diese Seite neu!
	</p></noscript>
<?php
if (!isset($_POST['ok']))
{
	echo "<div id=\"left\">\n";
	echo "	<fieldset>\n";
	echo "		<legend>Willkommen bei der R!ST Verwaltung</legend>\n";
	echo "		<form action=\"index.php\" method=\"post\" >\n";
	echo "			<h2>Bitte loggen Sie sich ein</h2>\n";
	echo "			<span class=\"right\">\n";
	echo "				<input type=\"submit\" name=\"ok\" value=\"1\" title=\"Einstellungen &uuml;bernehmen\" class=\"button_ok\" />\n";
	echo "			</span>\n";
	echo "			<label>Benutzername</label>\n";
	echo "			<input type=\"text\" name=\"User\" />\n";
	echo "			<br style=\"clear: left;\" />\n";
	echo "			<label>Passwort</label>\n";
	echo "			<input type=\"password\" name=\"Password\" />\n";
	echo "			<br />\n";
	echo "		</form>\n";
	echo "		<h2>Wichtiger Hinweis</h2>\n";
	echo "		<p>In dieser Software werden PDF-Dateien erzeugt. Diese werden automatisch im Browserfenster zur Anzeige eingebunden.<br />\n";
	echo "		Ein Fehler in älteren Adobe Acrobat Reader Versionen bringt dabei den Browser zum Absturz.<br />\n";
	echo "		Des weiteren werden in aktuellen Versionen Sicherheitslücken behoben. R!ST empfiehlt deshalb dringend das Update bzw. die Installation der aktuellen Version!</p>\n";
	echo "		<p><a href=\"http://www.adobe.com/go/DE-H-M-A1\" target=\"_blank\">Download Adobe Acrobat Reader</a></p>\n";
	echo "	</fieldset>\n";
	echo "</div>\n";
	echo "<div id=\"right\">\n";
	include __DIR__ . "/news.php";
	echo "</div>\n";
}
else
{
	$sql = "SELECT * FROM Admin WHERE (User = \"" . $_POST['User'] . "\" AND Password=\"" . md5($_POST['Password']) . "\");";
	$result = $db->query($sql);
	if ($nt = $result->fetch_assoc())
	{
		$sqlf = "SELECT * FROM Firma WHERE ID = \"" . $nt['Firma_ID'] . "\";";
		$resultf = $db->query($sqlf);
		$ntf = $resultf->fetch_assoc();
		if ("" != $ntf['Aktivierung'])
		{
			echo "<fieldset>\n";
			echo "	<legend>Produkt ist noch nicht aktiviert!</legend>\n";
			echo "	<h2>Bitte folgen Sie dem Link aus der Aktivierungsmail!</h2>\n";
			echo "</fieldset>\n";
			unset($_POST);
			include __DIR__ . "/login.php";
		}
		elseif ("1" == $ntf['Inaktiv'])
		{
			echo "<fieldset>\n";
			echo "	<legend>Ihr Produkt wurde deaktiviert!</legend>\n";
			echo "	<h2>Prüfen Sie, ob der letzte Rechnungsbetrag überwiesen wurde. Setzen Sie sich mit R!ST in Verbindung!</h2>\n";
			echo "</fieldset>\n";
			unset($_POST);
			include __DIR__ . "/login.php";
		}
		else
		{
			$_SESSION['TID'] = $nt['ID'];
			$_SESSION['Firma'] = $ntf;
			$dateien = glob('./tmp/*');
			foreach ($dateien AS $datei)
			{
				if (3600 <= (time() - filemtime($datei)))
				{
					unlink($datei);
				}
			}
			$dateien = glob("./pdf/" . PREFIX . "/*/*");
			foreach ($dateien AS $datei)
			{
				if (3600 <= (time() - filemtime($datei)))
				{
					unlink($datei);
				}
			}
			define('PREFIX', $_SESSION['Firma']['ID']);
			include __DIR__ . "/home.php";
		}
	}
	else
	{
		echo "<fieldset>\n";
		echo "	<legend>Login falsch</legend>\n";
		echo "	<h2>Benutzername und Passwort stimmen nicht überein!</h2>\n";
		echo "</fieldset>\n";
		unset($_POST);
		include __DIR__ . "/login.php";
	}
}